AddMountTableEntriesRequestPBImpl (Apache Hadoop HDFS-RBF 3.5.0 API)
Description: declaration: package: org.apache.hadoop.hdfs.server.federation.store.protocol.impl.pb, class: AddMountTableEntriesRequestPBImpl

Package org.apache.hadoop.hdfs.server.federation.store.protocol.impl.pb

# Class AddMountTableEntriesRequestPBImpl

java.lang.Object
org.apache.hadoop.hdfs.server.federation.store.protocol.AddMountTableEntriesRequest
org.apache.hadoop.hdfs.server.federation.store.protocol.impl.pb.AddMountTableEntriesRequestPBImpl

All Implemented Interfaces:
  `PBRecord`

public class AddMountTableEntriesRequestPBImpl extends AddMountTableEntriesRequest implements PBRecord
Protobuf implementation of the state store API object addMountTableEntriesRequest.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AddMountTableEntriesRequestPBImpl()`
  `AddMountTableEntriesRequestPBImpl(org.apache.hadoop.hdfs.federation.protocol.proto.HdfsServerFederationProtos.AddMountTableEntriesRequestProto proto)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<MountTable>`
  `getEntries()`
  `org.apache.hadoop.hdfs.federation.protocol.proto.HdfsServerFederationProtos.AddMountTableEntriesRequestProto`
  `getProto()`
  Get the protocol for the record.
  `void`
  `readInstance(String base64String)`
  Populate this record with serialized data.
  `void`
  `setEntries(List<MountTable> mountTables)`
  `void`
  `setProto(org.apache.hadoop.thirdparty.protobuf.Message proto)`
  Set the protocol for the record.

  ### Methods inherited from class org.apache.hadoop.hdfs.server.federation.store.protocol.AddMountTableEntriesRequest

  `newInstance, newInstance`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AddMountTableEntriesRequestPBImpl

    public AddMountTableEntriesRequestPBImpl()

  - ### AddMountTableEntriesRequestPBImpl

    public AddMountTableEntriesRequestPBImpl(org.apache.hadoop.hdfs.federation.protocol.proto.HdfsServerFederationProtos.AddMountTableEntriesRequestProto proto)

- ## Method Details

  - ### getProto

    public org.apache.hadoop.hdfs.federation.protocol.proto.HdfsServerFederationProtos.AddMountTableEntriesRequestProto getProto()
    Description copied from interface: `PBRecord`
    Get the protocol for the record.
    Specified by:
      `getProto` in interface `PBRecord`
    Returns:
      The protocol for this record.

  - ### setProto

    public void setProto(org.apache.hadoop.thirdparty.protobuf.Message proto)
    Description copied from interface: `PBRecord`
    Set the protocol for the record.
    Specified by:
      `setProto` in interface `PBRecord`
    Parameters:
      `proto` - Protocol for this record.

  - ### readInstance

    public void readInstance(String base64String) throws IOException
    Description copied from interface: `PBRecord`
    Populate this record with serialized data.
    Specified by:
      `readInstance` in interface `PBRecord`
    Parameters:
      `base64String` - Serialized data in base64.
    Throws:
      `IOException` - If it cannot read the data.

  - ### getEntries

    public List<MountTable> getEntries()
    Specified by:
      `getEntries` in class `AddMountTableEntriesRequest`

  - ### setEntries

    public void setEntries(List<MountTable> mountTables)
    Specified by:
      `setEntries` in class `AddMountTableEntriesRequest`